Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 792993 - sci-physics/sassena-1.4.2 fails to compile with gcc-11
Summary: sci-physics/sassena-1.4.2 fails to compile with gcc-11
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Alexey Shvetsov
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-05-30 09:41 UTC by Agostino Sarubbo
Modified: 2021-09-02 20:37 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,88.88 KB, text/plain)
2021-05-30 09:41 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-05-30 09:41:52 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sci-physics/sassena-1.4.2 fails to compile with gcc-11.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This machine uses GCC-11: https://gcc.gnu.org/gcc-11/porting_to.html
Comment 1 Agostino Sarubbo gentoo-dev 2021-05-30 09:41:54 UTC
Created attachment 712497 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2021-05-30 09:41:56 UTC
Possible context of error(s):

/var/tmp/portage/sci-physics/sassena-1.4.2/work/sassena-1.4.2/src/sample/frames.cpp:226:26: error: ‘streamoff’ is not a member of ‘std::ios’ {aka ‘std::basic_ios<char>’}
Comment 3 Sam James archtester gentoo-dev Security 2021-08-01 21:28:59 UTC
ping
Comment 4 Larry the Git Cow gentoo-dev 2021-08-04 21:12:15 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cee526d185f249eed8b01bffad5619ce380ff7e6

commit cee526d185f249eed8b01bffad5619ce380ff7e6
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-08-04 21:06:07 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-08-04 21:06:07 +0000

    profiles: last-rite sci-physics/sassena
    
    Bug: https://bugs.gentoo.org/741646
    Bug: https://bugs.gentoo.org/792993
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/package.mask | 5 +++++
 1 file changed, 5 insertions(+)
Comment 5 Larry the Git Cow gentoo-dev 2021-09-02 20:37:05 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ba86737974866cf5bb36e28a66b9daabfb8d6cde

commit ba86737974866cf5bb36e28a66b9daabfb8d6cde
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2021-09-02 20:28:45 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2021-09-02 20:35:33 +0000

    sci-physics/sassena: Remove last-rited package
    
    Closes: https://bugs.gentoo.org/741646
    Closes: https://bugs.gentoo.org/792993
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 profiles/package.mask                              |  5 --
 sci-physics/sassena/Manifest                       |  1 -
 .../files/sassena-1.4.2_cmake-remove-missing.patch | 33 --------
 .../files/sassena-1.4.2_link_boost_thread.patch    | 92 ----------------------
 .../sassena/files/sassena-1.4.2_uint32_t.patch     | 11 ---
 sci-physics/sassena/metadata.xml                   | 11 ---
 sci-physics/sassena/sassena-1.4.2.ebuild           | 32 --------
 7 files changed, 185 deletions(-)